Bug 411681 - acpi=off now required for Fedora 8 kernels on nx6125
acpi=off now required for Fedora 8 kernels on nx6125
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 04:29 EST by Philip Frampton
Modified: 2008-11-26 12:37 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Frampton 2007-12-05 04:29:13 EST
Description of problem:
Unable to boot any Fedora 8 kernel without specifying "acpi=off". This problem
occurs with the install and live CDs, and with an installed system. The problem
does NOT occur using 2.6.23-21 on Fedora 7. The laptop is an HP nx6125.


Version-Release number of selected component (if applicable):
2.6.23.1-42, 2.6.23.8-63

How reproducible:
Boot without acpi=off kernel parameter

Steps to Reproduce:
1.Boot
2.
3.
  
Actual results:
System hangs around udev starting for an installed system, or before anaconda
starts for the install disk.

Expected results:
Works as normal (with acpi) as in Fedora 7

Additional info:
Comment 1 Philip Frampton 2007-12-05 06:56:20 EST
I've now managed to reduce the necessary boot parameters to "nohz=off" so the
rest of ACPI is now working.
Comment 2 Chuck Ebbert 2007-12-05 17:59:08 EST
Fix in CVS now, will be in kernel -81 and up.
Comment 3 Chuck Ebbert 2008-02-06 15:05:18 EST
Is this fixed in the latest released kernel?
Comment 4 Philip Frampton 2008-02-06 17:31:27 EST
I think it is. I don't use the laptop anymore so I can't check.
Comment 5 mohamed 2008-02-15 15:34:22 EST
I've got the same prob;em but on fedora 8 64bit.

i've detailed my problem in here
(http://forums.fedoraforum.org/forum/showthread.php?t=173700).

In summary i can SOMETIMES boot without acpi=off || irqpoll, sometimes the NIC
doesn't work. I am pretty sure that my NIC isn't busted either becaused if i
boot into vista straight after to check it automatically logs onto the net.

I quiet new to linux, bit i think this has something to do with the devices
plugged into the usb ports.  I currently connect my wired mouse and keyboard
through the usb ports on my monitor, that has a extension leading to the base. 
I'll do some testing and post the results.


My exact hardware specs are;

Samsung SpinPoint T 500GB SATA-II 16MB Cache - OEM (HD501LJ
Samsung SpinPoint T 320GB SATA-II 16MB Cache - OEM (HD321KJ)
Corsair HX 520W ATX2.2 Modular SLI Compliant PSU (CMPSU-520HXUK)
Corsair 4GB DDR2 XMS2 PC2-6400C5 TwinX (2x2GB)
Intel Core 2 Quad Pro Q6600 "Energy Efficient SLACR 95W Edition" 2.40GHz
(1066FSB) - Retail
EVGA GeForce 8800 GTS "Crysis Edition" 512MB GDDR3 HDTV/Dual DVI (PCI-Express) -
Retail (512-P3-E841-AE-CrysisUK)
Thermalright Ultra-120 Extreme CPU Cooler (Socket AM2/LGA775)
Samsung SH-S203NRSMN 20x DVD±RW SATA Dual Layer Lightscribe ReWriter
(Beige/Black/Silver) - Retail
Abit IP35 (Socket 775) PCI-Express DDR2 Motherboard
Antec Solo Quiet Mini Tower Case - No PSU
Dell 22 inch Widescreen Flat Panel Display with built-in Webcam (SP2208WFP)
Auzentech X-Plosion DTS Connect 7.1 Sound Card – Retail 


Just for reference, the same thing happens in ubuntu but if i boot with acpi=off
and irqpoll the sound card is always detected unlike fedora where it's detected
only somtimes.  I hope this gets fixed before fedora 9.

Kernel no; 2.6.23.15-137.fc8.  I done a full system update about a day ago.


thanks for your time.
Comment 6 Christian Rose 2008-02-17 06:55:24 EST
(In reply to comment #1)
> I've now managed to reduce the necessary boot parameters to "nohz=off" so the
> rest of ACPI is now working.

Same for me on a Dell Inspiron 6000. I need to add nohz=off to get past "Running
/sbin/loader" in Anaconda using the install DVD image for Fedora 8.
Comment 7 Bug Zapper 2008-11-26 03:50:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jon Stanley 2008-11-26 12:37:00 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.